Subject: Ticket Assigned - Feedback or suggestions
From: Max <[email-masked]>
To: [email-masked]
Date: Fri, 21 May 2021 10:35:36 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions I want to complain about your courier because they were lying about the deliveries. Yesterday, 18th of May I have received from Max a message that my order is out for delivery. I have waited but there is no call or message received until 10 in the evening that unfortunately my order was not delivered due to I did not respond to any call? How come? I did not receive any call. I have opted to had my order deliver because I am most of the time at work and I had been eligible for the 30 dinar worth of order. I am really upset of your delivery services. Kindly improve it by changing your delivery guys. They are not doing the job well and worst they were cheating and lying to the clients https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2597619